// 判断是否为html
export var isHTML = function isHTML(text) {
  try {
    var fragment = new DOMParser().parseFromString(text, 'text/html');
    return fragment.body.children.length > 0;
  } catch (error) {
    return false;
  }
};

// 格式化输入值
export var formatValue = function formatValue(str) {
  if (!str) return '';

  // 如果是html字符串则直接返回
  if (isHTML(str)) {
    return str;
  }
  return "<div>".concat(str, "</div>");
};